Overview | Modules | Class Hierarchy | Classes | Members

# tlp::DoubleProperty Class Reference

`#include <DoubleProperty.h>`

Inherits tlp::AbstractProperty< Tnode, Tedge, TPROPERTY >< DoubleType, DoubleType, DoubleAlgorithm >, and tlp::PropertyObserver.

Inheritance diagram for tlp::DoubleProperty:

[legend]
Collaboration diagram for tlp::DoubleProperty:

[legend]
List of all members.

## Public Types

- enum PredefinedMetaValueCalculator {
  NO_CALC = 0, AVG_CALC = 1, SUM_CALC = 2, MAX_CALC = 3,
  MIN_CALC = 4
  }

## Public Member Functions

- DoubleProperty (Graph *, std::string n="")
- DoubleType::RealType getNodeMin (Graph *sg=0)
- DoubleType::RealType getNodeMax (Graph *sg=0)
- DoubleType::RealType getEdgeMin (Graph *sg=0)
- DoubleType::RealType getEdgeMax (Graph *sg=0)
- PropertyInterface * clonePrototype (Graph *, const std::string &)
- void uniformQuantification (unsigned int)
- void clone_handler (AbstractProperty< DoubleType, DoubleType > &)
- virtual void beforeSetNodeValue (PropertyInterface *prop, const node n)
- virtual void beforeSetEdgeValue (PropertyInterface *prop, const edge e)
- virtual void beforeSetAllNodeValue (PropertyInterface *prop)
- virtual void beforeSetAllEdgeValue (PropertyInterface *prop)
- virtual void setMetaValueCalculator (MetaValueCalculator *calc)
- void setMetaValueCalculator (PredefinedMetaValueCalculator nodeCalc=AVG_CALC, PredefinedMetaValueCalculator edgeCalc=AVG_CALC)

## Friends

- class DoubleAlgorithm

## Member Enumeration Documentation

enum tlp::DoubleProperty::PredefinedMetaValueCalculator

Enumerator:

  NO_CALC |
  AVG_CALC |
  SUM_CALC |
  MAX_CALC |
  MIN_CALC |

## Constructor & Destructor Documentation

tlp::DoubleProperty::DoubleProperty | ( | Graph * | ,
|  | std::string | n = `""`
| ) |

## Member Function Documentation

virtual void tlp::DoubleProperty::beforeSetAllEdgeValue | ( | PropertyInterface * | prop | ) | `[virtual]`

| Reimplemented from tlp::PropertyObserver.

virtual void tlp::DoubleProperty::beforeSetAllNodeValue | ( | PropertyInterface * | prop | ) | `[virtual]`

| Reimplemented from tlp::PropertyObserver.

virtual void tlp::DoubleProperty::beforeSetEdgeValue | ( | PropertyInterface * | prop,
|  | const edge | e
| ) | `[virtual]`

| Reimplemented from tlp::PropertyObserver.

virtual void tlp::DoubleProperty::beforeSetNodeValue | ( | PropertyInterface * | prop,
|  | const node | n
| ) | `[virtual]`

| Reimplemented from tlp::PropertyObserver.

void tlp::DoubleProperty::clone_handler | ( | AbstractProperty< DoubleType, DoubleType > & |  | ) |

PropertyInterface* tlp::DoubleProperty::clonePrototype | ( | Graph * | ,
|  | const std::string & |
| ) | `[virtual]`

| Create an object of the same real type of the current property, in the the graph (first parameter) with the name (second parameter). Values are not copied. Implements tlp::PropertyInterface.

DoubleType::RealType tlp::DoubleProperty::getEdgeMax | ( | Graph * | sg = `0` | ) |

DoubleType::RealType tlp::DoubleProperty::getEdgeMin | ( | Graph * | sg = `0` | ) |

DoubleType::RealType tlp::DoubleProperty::getNodeMax | ( | Graph * | sg = `0` | ) |

DoubleType::RealType tlp::DoubleProperty::getNodeMin | ( | Graph * | sg = `0` | ) |

void tlp::DoubleProperty::setMetaValueCalculator | ( | PredefinedMetaValueCalculator | nodeCalc = `AVG_CALC`,
|  | PredefinedMetaValueCalculator | edgeCalc = `AVG_CALC`
| ) |

virtual void tlp::DoubleProperty::setMetaValueCalculator | ( | MetaValueCalculator * | calc | ) | `[virtual]`

void tlp::DoubleProperty::uniformQuantification | ( | unsigned | int | ) |

## Friends And Related Function Documentation

friend class DoubleAlgorithm `[friend]`

Tulip Software by LaBRI Visualization Team 2001 - 2010